import os

from unittest import skip

from django.conf import settings
from django.test import TestCase

from django.core.management import call_command


project_path = settings.PROJECT_DIR


class CommandsTestCase(TestCase):

    @skip("TODO: change test to avoid write files")
    def test_generate_test_response(self):
        " Test SAML dummy response generation."

        args = [
            'contrib/ama/tests/test.crt',
            'contrib/ama/tests/test.private.key']
        opts = {}
        call_command('generate_test_response', *args, **opts)

        # Expected response
        expected_resp_path = os.path.join(
            project_path, 'contrib/ama/tests/samlgenresptest.txt')
        expected_resp = open(expected_resp_path).read()

        # Generated response
        generated_resp_path = os.path.join(
            project_path, 'TestB64EncResponse.txt')
        generated_resp = open(generated_resp_path).read()

        self.assertInHTML(expected_resp, generated_resp)
